package com.xhkjedu.smarking.mapper.paper;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.smarking.model.paper.MsPaperBlock;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description 阅卷试卷题块 Mapper 接口
 * @Author auto
 * @Date 2024-10-15
 */
public interface MsPaperBlockMapper extends TkMapper<MsPaperBlock> {

    //获取题块及题块下试题
    List<MsPaperBlock> listPaperBlockQuestions(@Param("mpid")Integer mpid,@Param("blocktype")Integer blocktype);

    //根据试卷ID删除试卷题块
    int deleteObjByMpidAndBlocktype(@Param("mpid")Integer mpid,@Param("blocktype")Integer blocktype);

    //获取试卷中所有主观题题块ID
    List<Integer> listSubjectiveBlockidsByMpid(@Param("mpid")Integer mpid);

    //试卷中所有题块
    List<MsPaperBlock> listPaperBlocksByMpid(@Param("mpid")Integer mpid);
}
